[SRU] 2.39

Bug #1827495 reported by Michael Vogt on 2019-05-03
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
snapd (Ubuntu)
Undecided
Unassigned
Xenial
Undecided
Unassigned
Bionic
Undecided
Unassigned
Cosmic
Undecided
Unassigned
Disco
Undecided
Unassigned

Bug Description

This is a new version of snapd.

The changelog is available here https://github.com/snapcore/snapd/blob/2.39/packaging/ubuntu-16.04/changelog, the raw git changelog is available here: https://github.com/snapcore/snapd/commits/2.39 (note that the debian changelog is auto-generated from the merges of the git commits so there is usually no need to look at the raw git commits).

The travis logs for 2.39 can be found here: https://travis-ci.org/snapcore/snapd/branches

We currently have no autopkgtest logs before snapd hits -proposed because we got asked to disable our autopkgtest integration as it was using too many resources from the autopkgtest infrastructure.

The snappy team released a new release that we want SRU into xenial. The new process described in https://wiki.ubuntu.com/SnapdUpdates was used and we have done integration-tests on the snappy images, autopkgtests on classic and unit tests.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package snapd - 2.39.2+19.10ubuntu1

---------------
snapd (2.39.2+19.10ubuntu1) eoan; urgency=medium

  * Cherry pick https://github.com/snapcore/snapd/pull/6964 to fix
    dep-wait in eoan

 -- Michael Vogt <email address hidden> Fri, 07 Jun 2019 11:25:17 +0200

Changed in snapd (Ubuntu):
status: New → Fix Released

Hello Michael, or anyone else affected,

Accepted snapd into disco-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/snapd/2.39.2+19.04 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-disco to verification-done-disco. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-disco. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in snapd (Ubuntu Disco):
status: New → Fix Committed
tags: added: verification-needed verification-needed-disco
Changed in snapd (Ubuntu Cosmic):
status: New → Fix Committed
tags: added: verification-needed-cosmic
Andy Whitcroft (apw) wrote :

Hello Michael, or anyone else affected,

Accepted snapd into cosmic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/snapd/2.39.2+18.10 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-cosmic to verification-done-cosmic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-cosmic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in snapd (Ubuntu Bionic):
status: New → Fix Committed
tags: added: verification-needed-bionic
Andy Whitcroft (apw) wrote :

Hello Michael, or anyone else affected,

Accepted snapd into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/snapd/2.39.2+18.04 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in snapd (Ubuntu Xenial):
status: New → Fix Committed
tags: added: verification-needed-xenial
Andy Whitcroft (apw) wrote :

Hello Michael, or anyone else affected,

Accepted snapd into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/snapd/2.39.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-xenial to verification-done-xenial. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-xenial. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Hello, the validation has been completed with no issues.
The test document: https://docs.google.com/document/d/1PH650GbvVytncghI1yhTJK-TItliMm59lY_mq43q2E0/edit?usp=sharing

tags: added: verification-done verification-done-bionic verification-done-cosmic verification-done-disco verification-done-xenial
removed: verification-needed verification-needed-bionic verification-needed-cosmic verification-needed-disco verification-needed-xenial
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package snapd - 2.39.2+18.10

---------------
snapd (2.39.2+18.10) cosmic; urgency=medium

  * New upstream release, LP: #1827495
    - debian: rework how we run autopkgtests
    - interfaces/docker-support: add overlayfs accesses for ubuntu core
    - data/selinux: permit init_t to remount snappy_snap_t
    - strutil/shlex: fix ineffassign
    - packaging: fix build-depends on powerpc

 -- Michael Vogt <email address hidden> Wed, 05 Jun 2019 08:41:21 +0200

Changed in snapd (Ubuntu Cosmic):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for snapd has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package snapd - 2.39.2+19.04

---------------
snapd (2.39.2+19.04) disco; urgency=medium

  * New upstream release, LP: #1827495
    - debian: rework how we run autopkgtests
    - interfaces/docker-support: add overlayfs accesses for ubuntu core
    - data/selinux: permit init_t to remount snappy_snap_t
    - strutil/shlex: fix ineffassign
    - packaging: fix build-depends on powerpc

 -- Michael Vogt <email address hidden> Wed, 05 Jun 2019 08:41:21 +0200

Changed in snapd (Ubuntu Disco):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package snapd - 2.39.2+18.04

---------------
snapd (2.39.2+18.04) bionic; urgency=medium

  * New upstream release, LP: #1827495
    - debian: rework how we run autopkgtests
    - interfaces/docker-support: add overlayfs accesses for ubuntu core
    - data/selinux: permit init_t to remount snappy_snap_t
    - strutil/shlex: fix ineffassign
    - packaging: fix build-depends on powerpc

 -- Michael Vogt <email address hidden> Wed, 05 Jun 2019 08:41:21 +0200

Changed in snapd (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package snapd - 2.39.2

---------------
snapd (2.39.2) xenial; urgency=medium

  * New upstream release, LP: #1827495
    - debian: rework how we run autopkgtests
    - interfaces/docker-support: add overlayfs accesses for ubuntu core
    - data/selinux: permit init_t to remount snappy_snap_t
    - strutil/shlex: fix ineffassign
    - packaging: fix build-depends on powerpc

 -- Michael Vogt <email address hidden> Wed, 05 Jun 2019 08:41:21 +0200

Changed in snapd (Ubuntu Xenial):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers